aboutsummaryrefslogtreecommitdiffstats
path: root/tools/compare-abis.sh
diff options
context:
space:
mode:
authorBalint Reczey <balint.reczey@ericsson.com>2011-06-04 22:27:38 +0000
committerBalint Reczey <balint.reczey@ericsson.com>2011-06-04 22:27:38 +0000
commit309f147f5d7a50ef5454a5df9eb6ccbfc7cfc98c (patch)
tree49590bf20790ac766f62a7b5fb6bdedd0d986b11 /tools/compare-abis.sh
parent77ea6956a0f4d122aa271b356d49479bc8462011 (diff)
Adding script for comparing ABI's of different Wireshark versions.
svn path=/trunk/; revision=37546
Diffstat (limited to 'tools/compare-abis.sh')
-rwxr-xr-xtools/compare-abis.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/tools/compare-abis.sh b/tools/compare-abis.sh
new file mode 100755
index 0000000000..60e7edbe53
--- /dev/null
+++ b/tools/compare-abis.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# Compare ABIs of two Wireshark working copies
+# $Id: $
+
+set -e
+
+function acc () {
+ LIBNAME=$1
+ DIR=$2
+ # compare only dumped ABI descriptions first, then fall back to full comparison
+ # if no difference is found
+ if abi-compliance-checker -separately -l $LIBNAME \
+ -d1 $V1_PATH/$DIR/.libs/$LIBNAME.abi.tar.gz \
+ -d2 $V2_PATH/$DIR/.libs/$LIBNAME.abi.tar.gz ; then
+ abi-compliance-checker -separately -l $LIBNAME \
+ -d1 $V1_PATH/$DIR/abi-descriptor.xml -relpath1 $V1_PATH/$DIR \
+ -v1 `ls $V1_PATH/$DIR/.libs/$LIBNAME.so.?.?.?|sed 's/.*\.so\.//'` \
+ -d2 $V2_PATH/$DIR/abi-descriptor.xml -relpath2 $V2_PATH/$DIR \
+ -v2 `ls $V2_PATH/$DIR/.libs/$LIBNAME.so.?.?.?|sed 's/.*\.so\.//'` \
+ -check-implementation
+ fi
+}
+
+V1_PATH=$1
+V2_PATH=$2
+
+# both working copies has to be build first
+#make -C $V1_PATH all dumpabi
+#make -C $V2_PATH all dumpabi
+
+acc libwiretap wiretap $V1_PATH $V2_PATH
+acc libwsutil wsutil $V1_PATH $V2_PATH
+acc libwireshark epan $V1_PATH $V2_PATH
+